DRM_OBJECT_PROPERTY_(9)

NAME
drm_object_property_set_value - set the value of a property

SYNOPSIS

int drm_object_property_set_value(struct drm_mode_object * obj, struct drm_property * property, uint64_t val);

ARGUMENTS

obj
    drm mode object to set property value for

property
    property to set

val
    value the property should be set to

DESCRIPTION

This functions sets a given property on a given object. This function only changes the software state of the property, it does not call into the driver's ->set_property callback.

RETURNS

Zero on success, error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT